Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class GroupwareSession

    java.lang.Object
      portlets.compoze.groupware.GroupwareSession

All Implemented Interfaces:
  java.io.Serializable

public class GroupwareSession
extends java.lang.Object
implements java.io.Serializable

This class represents a groupware session.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_SET_GROUPWARE`
`static java.lang.String` | `PROVIDER_TRACE`

Constructor Summary
`GroupwareSession(java.lang.String sUsername, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Constructor.

Method Summary
`Accounts` | `getAccounts()` Gets the accounts.
`AddressBookPreferences` | `getAddressBookPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)` Gets the address book preferences.
`CalendarPreferences` | `getCalendarPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)` Gets the calendar preferences.
`Account` | `getCurrentAccount()` Gets the current account.
`FeatureGroup` | `getFeatureGroup(javax.servlet.http.HttpServletRequest req)` Gets the feature group.
`GroupwarePreferences` | `getGroupwarePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)` Gets the groupware preferences.
`HomePreferences` | `getHomePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)` Gets the home preferences.
`java.lang.String` | `getImAddress(java.lang.String sEmail)` Gets the Im address.
`MailPreferences` | `getMailPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)` Gets the mail preferences.
`portlets.compoze.groupware.controls.provider.Provider` | `getProvider()` Gets the provider for the current account.
`portlets.compoze.groupware.controls.provider.ProviderCapabilities` | `getProviderCapabilities()` Gets the provider capabilities for the current account.
`TasksPreferences` | `getTasksPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)` Gets the tasks preferences.
`boolean` | `getTrace()` Gets the trace setting.
`java.lang.String` | `getUsername()` Gets the username associated with this session.
`void` | `setCurrentAccount(Account account)` Sets the current account.
`void` | `setTrace(boolean bTrace)` Sets the trace setting.
`void` | `synchronizeImContacts()` Synchronizes the Im contacts for the session accounts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_SET_GROUPWARE

    public static final java.lang.String PROPERTY_SET_GROUPWARE

See Also:
  Constant Field Values

### PROVIDER_TRACE

    public static final java.lang.String PROVIDER_TRACE

See Also:
  Constant Field Values

Constructor Detail

### GroupwareSession

    public GroupwareSession(java.lang.String sUsername,
                            com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                     throws GroupwareException

  Constructor.

Parameters:
  `sUsername` - the user name (may not be `null`)
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getProvider

    public portlets.compoze.groupware.controls.provider.Provider getProvider()
                                                                      throws GroupwareException

  Gets the provider for the current account. If the current account cannot be determined, the default provider is used.

  Returns:
    the provider
  Throws:
    `GroupwareException`
  See Also:
    `getCurrentAccount()`

### getProviderCapabilities

    public portlets.compoze.groupware.controls.provider.ProviderCapabilities getProviderCapabilities()
                                                                                              throws GroupwareException

  Gets the provider capabilities for the current account. If the current account cannot be determined, the default provider capabilities are used.

  Returns:
    the provider capabilities
  Throws:
    `GroupwareException`
  See Also:
    `getCurrentAccount()`

### setTrace

    public void setTrace(boolean bTrace)

  Sets the trace setting.

  Parameters:
    `bTrace` - `true` to trace the session; `false` otherwise

### getTrace

    public boolean getTrace()

  Gets the trace setting.

  Returns:
    `true` to trace the session; `false` otherwise

### setCurrentAccount

    public void setCurrentAccount(Account account)

  Sets the current account.

  Parameters:
    `account` - the account or `null` for default account (if applicable)

### getCurrentAccount

    public Account getCurrentAccount()
                              throws NoAccountsException,
                                     GroupwareException

  Gets the current account.

  Returns:
    the account or `null` if no accounts exist
  Throws:
    `NoAccountsException`
    `GroupwareException`

### getGroupwarePreferences

    public GroupwarePreferences getGroupwarePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                                        com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)
                                                 throws GroupwareException

  Gets the groupware preferences.

  Returns:
    the groupware preferences
  Throws:
    `GroupwareException`

### getHomePreferences

    public HomePreferences getHomePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                              com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)
                                       throws GroupwareException

  Gets the home preferences.

  Returns:
    the home preferences
  Throws:
    `GroupwareException`

### getAddressBookPreferences

    public AddressBookPreferences getAddressBookPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                                            com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)
                                                     throws GroupwareException

  Gets the address book preferences.

  Returns:
    the address book preferences
  Throws:
    `GroupwareException`

### getTasksPreferences

    public TasksPreferences getTasksPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                                com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)
                                         throws GroupwareException

  Gets the tasks preferences.

  Returns:
    the tasks book preferences
  Throws:
    `GroupwareException`

### getMailPreferences

    public MailPreferences getMailPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                              com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)
                                       throws GroupwareException

  Gets the mail preferences.

  Returns:
    the mail preferences
  Throws:
    `GroupwareException`

### getCalendarPreferences

    public CalendarPreferences getCalendarPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                                      com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext context)
                                               throws GroupwareException

  Gets the calendar preferences.

  Returns:
    the calendar preferences
  Throws:
    `GroupwareException`

### getFeatureGroup

    public FeatureGroup getFeatureGroup(javax.servlet.http.HttpServletRequest req)
                                 throws GroupwareException

  Gets the feature group.

  Parameters:
    `req` - the request (may not be `null`)
  Returns:
    the feature group
  Throws:
    `GroupwareException`

### getAccounts

    public Accounts getAccounts()
                         throws GroupwareException

  Gets the accounts. This object can be used to manipulate accounts.

  Returns:
    the accounts
  Throws:
    `GroupwareException`

### getUsername

    public java.lang.String getUsername()

  Gets the username associated with this session.

  Returns:
    the username

### getImAddress

    public java.lang.String getImAddress(java.lang.String sEmail)

  Gets the Im address.

  Parameters:
    `sEmail` - the email address
  Returns:
    the Im address or `null` if not found

### synchronizeImContacts

    public void synchronizeImContacts()
                               throws GroupwareException

  Synchronizes the Im contacts for the session accounts.

  Throws:
    `GroupwareException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.